Name:           cxxtest
Version:        3.10.1
Release:        %mkrel 3
Summary:        A JUnit-like testing framework for C++

Group:          Development/C++
License:        LGPLv2+
URL:            http://cxxtest.tigris.org
Source0:        http://cxxtest.tigris.org/files/documents/6421/43281/%{name}-%{version}.tar.gz

# Documentation
Source1:        http://cxxtest.tigris.org/files/documents/6421/43284/%{name}-guide-%{version}.pdf

Patch0:         %{name}-fix-abort.patch

BuildArch:      noarch

%description
CxxTest is a JUnit/CppUnit/xUnit-like framework for C++.
Its advantages over existing alternatives are that it:
 - doesn't require RTTI
 - doesn't require member template functions
 - doesn't require exception handling
 - doesn't require any external libraries (including memory management,
   file/console I/O, graphics libraries)

%files
%doc COPYING README Versions
%{_bindir}/cxxtestgen.py
%{_bindir}/cxxtestgen
%{_includedir}/cxxtest/

#--------------------------------------------------------------------

%package doc
Summary:        Documentation on how to use CxxTest
Group:          Documentation

%description doc
This package contains the documentation on how to use CxxTest.

%files doc
%doc cxxtest-guide-%{version}.pdf

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p1
cp -a %{SOURCE1} .

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/cxxtest
install -D -p -m 644 cxxtest/* $RPM_BUILD_ROOT/%{_includedir}/cxxtest
install -D -p -m 755 cxxtestgen.py $RPM_BUILD_ROOT/%{_bindir}/cxxtestgen.py
ln -s %{_bindir}/cxxtestgen.py $RPM_BUILD_ROOT/%{_bindir}/cxxtestgen




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.10.1-3.mga3
+ Revision: 348529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 3.10.1-2.mga3
+ Revision: 316602
- update rpm group

* Thu Jul 26 2012 neoclust <neoclust> 3.10.1-1.mga3
+ Revision: 274663
- imported package cxxtest

